Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1397 - gmc doesn't handle links to directories properly
Summary: gmc doesn't handle links to directories properly
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: distribution
Version: 6.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Michael Fulbright
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-03-02 17:55 UTC by dpawluk
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-08-31 19:45:25 UTC


Attachments (Terms of Use)

Description dpawluk 1999-03-02 17:55:20 UTC
when you click on a link to a directory, the tree panel gets
out of sync with the directory structure and sometimes the
tree display gets garbled. an easy way to cause this to
happen is to click on the /usr/src/linux@ link and then try
to display some of the subdirectories in
/usr/src/linux-x.x.x. sometimes nothing happens, sometimes
/usr/var is expanded. the results are unpredictable.
resizing the tree panel seems to redraw the tree correctly.
i'm not sure what the intension is re links but a couple of
times i saw the link expanded and then the target expanded
when the + was clicked on. when you try this on
'/root/desktop/home directory', sometimes the hidden files
in root appear even though hidden is off. the names in the
tree rarely correspond to the file name in the window title
and the contents on the right panel are rarely correct. the
highlighting of the selected tree entry also quite often
goes wonky leaving multiple selections of various types
displayed.

Comment 1 Elliot Lee 1999-08-31 19:45:59 UTC
This works in the latest gmc - old bug.


Note You need to log in before you can comment on or make changes to this bug.